## org.eclipse.emf.mapping.xsd2ecore.util
Class XSD2EcoreResourceFactoryImpl

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
          org.eclipse.emf.mapping.xsd2ecore.util.XSD2EcoreResourceFactoryImpl

All Implemented Interfaces:
  Resource.Factory

    public class XSD2EcoreResourceFactoryImpl

extends ResourceFactoryImpl

The Resource Factory associated with the package.

See Also:
  `XSD2EcoreResourceImpl`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory
`Resource.Factory.Descriptor, Resource.Factory.Registry`

Field Summary
`protected static boolean` `USE_ASCII`

Constructor Summary
`XSD2EcoreResourceFactoryImpl()` Creates an instance of the resource factory

Method Summary
`Resource` `createResource(URI uri)` Creates an instance of the resource

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USE_ASCII

    protected static final boolean USE_ASCII

Constructor Detail

### XSD2EcoreResourceFactoryImpl

    public XSD2EcoreResourceFactoryImpl()

  Creates an instance of the resource factory.

Method Detail

### createResource

    public Resource createResource(URI uri)

  Creates an instance of the resource.

  Specified by:
    `createResource` in interface `Resource.Factory`
  Overrides:
    `createResource` in class `ResourceFactoryImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.